Launch Wikimedia Phabricator Day 1
Closed, ResolvedPublic

Description

The canonical, high-level view of the migration lives at https://www.mediawiki.org/wiki/Phabricator#Migration_timeline

Here we track the unavoidable blockers, and post the most relevant updates.

Details

Reference
fl282

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolvedchasemp
ResolvedNone
ResolvedQgil
ResolvedQgil
Resolvedchasemp
Resolvedchasemp
Resolvedchasemp
Resolvedmmodell
ResolvedAklapper
Resolvedchasemp
Resolvedchasemp
Resolvedmmodell
Resolvedchasemp
Resolvedchasemp
ResolvedQgil
DeclinedQgil
ResolvedQgil
Resolvedmmodell
Resolvedchasemp
Resolvedyuvipanda
flimport raised the priority of this task from to High.
flimport set Reference to fl282.

qgil wrote on 2014-06-02 22:18:14 (UTC)

Turns out that we will pre-launch the official Wikimedia Phabricator instance with the Trusted User Tool, not Day 1. :) We have some to figure out the details.

qgil wrote on 2014-06-03 21:15:13 (UTC)

I have updated https://www.mediawiki.org/wiki/Phabricator/Plan#Migration_plan reflecting the two steps agreed prior to Day 1:

  • Deploy Phabricator in a production server only with Wikimedia SUL enabled for log-in testing. T294 T314
  • Deploy the Trusted User Tool using the Legalpad app only. T364

We still have to define / commit to @Rush's proposal to enable Maniphest and move just a few projects in a controlled environment. This would happen after the deployment of Trusted User Tool and before Day 1. Andre, Rush, if you still want pursue this, please create a task to discuss the details.

qgil wrote on 2014-07-21 16:14:36 (UTC)

Sorry for the dance of blocking tasks, whose objective was to have here an overview of the tasks / family of tasks that need to be completed in order to launch phabricator.wikimedia.org. There are many other critical tasks, but they should be subtasks of one of these.

qgil wrote on 2014-08-29 16:27:17 (UTC)

According to the plans, we have about five weeks to go before the launch of Wikimedia Bugzilla. Significant updates to this plan will be reflected in this task.

qgil wrote on 2014-09-03 10:15:51 (UTC)

In the last discussions with @Aklapper and @Rush it has become clear that RT migration goes first, then Bugzilla.

The RT migration will be a good test for Bugzilla's. Also, Andre will be more available after September 30.

qgil wrote on 2014-09-05 16:44:57 (UTC)

Friday check: how is the timeline doing?

Qgil added a subscriber: Qgil.Sep 17 2014, 7:41 PM
Aklapper updated the task description. (Show Details)Sep 18 2014, 3:47 PM
Aklapper set Security to None.
Qgil updated the task description. (Show Details)Sep 19 2014, 11:22 AM

Many things happened since my last comment above and the migration from fab to phab. Summarizing:

WMF Engineering management (namely Erik and Rob) told us that it was good that we felt time pressure, but seeing all the progress done they recommended us to focus on a high quality and smooth release, at the expense of a later date if needed, "as long as we are talking about weeks and not months". Aspects like communication and "socialization" of the launch and the migration shouldn't be underestimated, they told us.

If we look at the wider context of Day 1, a WMF release, we can see how other software releases were received with a lot more push-back than expected, also with more bugs and unplanned problems than expected, which didn't help. If we look at our step from fab to phab we can see a bit of that as well. We didn't have the push-back, but the migration did go differently than expected by ourselves. This is why it is worth taking more time to plan properly, implement properly, test properly, communicate properly, and listen properly.

Now the migration timeline suggests a couple of dates, but dates are not what define that timeline anymore. What really matters is to move forward, making sure that every step is well completed. When Comms and Community Engagement asked us about the date of the launch, we asked them whether knowing it two weeks in advance was enough, ad they kind of agreed. I would say, let's focus on completing the production instance and the RT migration, and all the tiny bits of the Bugzilla migration. Then, when the main task is basically the migration itself, let's fix the date and let's put all our attention on this.

We have many "in progress" tasks (and many more if we look here in more detail). We can put date aside and focus on making steps forward focusing on resolving tasks for good. The next clear milestone is clear: T463: Enable registration for everybody at phabricator.wikimedia.org. What about focusing on its tasks kind of forgetting about the rest?

Qgil added a comment.Sep 25 2014, 8:41 AM

I have pushed the dates of RT and Bugzilla migration a week later at the migration timeline, as discussed yesterday with Andre.

flimport assigned this task to Aklapper.Oct 1 2014, 11:01 PM
flimport added a subscriber: greg.Oct 2 2014, 9:58 PM
flimport added a subscriber: Elitre.
flimport added a subscriber: Matanya.
Qgil added a comment.Oct 6 2014, 10:34 PM

https://phabricator.wikimedia.org is now open to all Wikimedia users. The Phabricator-Production-Instance project is being archived after all its original tasks have been either resolved or pushed to the RT and/or Bugzilla migration projects.

The current plan is still to implement de RT migration and then the Bugzilla migration, although we need to work a bit in parallel because both projects require review periods from third parties.

The next task with a high public impact is T552: https://bugzillapreview.wmflabs.org/ migration preview instance.

flimport added a subscriber: scfc.Oct 7 2014, 3:01 AM
Qgil claimed this task.Oct 7 2014, 9:00 PM
flimport added a subscriber: revi.Oct 10 2014, 9:00 PM
Qgil lowered the priority of this task from High to Normal.Oct 11 2014, 6:35 PM
Qgil raised the priority of this task from Normal to High.Nov 18 2014, 11:35 AM
Qgil moved this task from Backlog to Doing on the Bugzilla-Migration board.Nov 23 2014, 10:52 PM
Qgil closed this task as Resolved.Nov 24 2014, 11:31 PM

We still have some little tasks left in Bugzilla-Migration but the fact is that we have launched Wikimedia Phabricator! Resolving.